.\" $XFree86: xc/programs/Xserver/hw/xfree86/drivers/cube/cube.man,v 1.3 2001/02/07 22:51:56 tsi Exp $
.\" shorthand for double quote that works everywhere.
.ds q \N'34'
.TH CUBE __drivermansuffix__ __vendorversion__
.SH NAME
cube \- Cube video driver
.SH SYNOPSIS
.nf
.B "Section \*qDevice\*q"
.BI "  Identifier \*q"  devname \*q
.B  "  Driver \*qcube\*q"
\ \ ...
.B EndSection
.fi
.SH READ THIS IF NOTHING ELSE
This driver has a special requirement that needs to be fulfilled before
it will work: You need a framebuffer device created on /dev/. Just write
"mknod /dev/fb0 c 29 0"

.SH DESCRIPTION
.B cube 
is an __xservername__ driver for Gamecube/Wii console video boards, and for
any yuv2 framebuffer device. This driver is a bit special because Wii and Gamecube
video boards uses a video framebuffer that needs to be in YUV2 color format, and 
the Xserver usually works with RGB color formats. Therefore, this driver works in
too much like the fbdev driver, but translating the colours from RGB to YUV2 format.
It is implemented with the help of a "shadow" framebuffer that resides entirely
in RAM. Selected portions of this shadow framebuffer are then copied out to the 
framebuffer device at the right time. Because of this, the speed of the driver
is very dependent on the CPU. 
.PP
This driver requires that you have created a framebuffer device.(Which can, at the
time of this writing, be created by typing "mknod /dev/fb0 c 29 0"). 
.PP
This driver supports 16 bit color mode only. Notice that the Voodoo boards can only
display 16 bit YUV2 color
.PP
Resolutions supported are: 640x480 and 640x576 on PAL consoles
.PP
To select this driver, you should edit the configuration of your X server,
and add these options:
.PP
Section "Device"
.br
    Identifier    "WII/Gc Card"
.br
    Driver        "cube"
.br
EndSection
.PP
.PP
Section "Module"
.br
    Load    "dbe"
.br
    Load    "ddc"
.br
    SubSection  "extmod"
.br
      # Option    "omit xfree86-dga"
.br
      # Option    "omit XFree86-VidModeExtension"
.br
    EndSubSection
.br
    Load        "type1"
.br
    Load        "freetype"
.br
    Load    "dri"
.br
EndSection
.PP
Section "Screen"
.br
 ....
.br
         Device        "WII/Gc Card"
.br
         ....
.br
         DefaultDepth    16
.br
         Subsection "Display"
.br
                   Modes       "640x480"
         EndSubsection
.br
EndSection
.PP
.SH "SEE ALSO"
__xservername__(__appmansuffix__), __xconfigfile__(__filemansuffix__), xorgconfig(__appmansuffix__), Xserver(__appmansuffix__), X(__miscmansuffix__)
.SH AUTHORS
Author: Marcos Novalbos.
